#!/bin/bash

if [ -d "/etc/systemd/system/" ] ; then

    if [ "x$GSDL3SRCHOME" = "x" ] ; then
	cd .. && source ./gs3-setup.sh && cd service.d
    fi

    gsdl_service_username=${1-www-data}
    echo ""
    
    echo "****"
    echo "* Generating greenstone3.service from greenstone3.service.in"
    echo "****"
    cat greenstone3.service.in \
	| sed "s%@GSDL3SRCHOME@%$GSDL3SRCHOME%g" \
	| sed "s%@GSDL_SERVICE_USERNAME@%$gsdl_service_username%g" \
	      > greenstone3.service
     
    echo "****"
    echo "* Copying greenstone3.service to /etc/systemd/system/"
    echo "****"
    sudo /bin/cp greenstone3.service /etc/systemd/system/.

    echo ""
    echo "----"
    echo "General info:"
    echo "  In the event of the service being updated, you will most likely need to run:"
    echo "    sudo systemctl daemon-reload"
    echo ""
    echo "  To enable this service to be run at boot-up time, run:"
    echo "    sudo systemctl enable greenstone3"
    echo "----"
    
else
    echo "Error: Failed to find '/etc/systemd/system'" >&2
    echo "This install script was developed on a Debian system." >&2
    echo "It looks like your Linux Distribution uses a different directory structure for services" >&2

    exit 1
fi  

